#!/bin/sh
set -ev

cd $(realpath $(dirname "${0}"))/install

# Create MariaDB instance
mkdir -p /srv/mariadb/conf /srv/mariadb/data
chown 3306:3306 /srv/mariadb/data
cp srv/mariadb/conf/my.cnf /srv/mariadb/conf/my.cnf
lxc-execute mariadb -- mysql_install_db --user=mysql --datadir=/var/lib/mysql --auth-root-authentication-method=socket --skip-test-db

# Enable query logging. Only if the DEBUG environment variable is set
if [ ${DEBUG:-0} -eq 1 ]; then
    sed -i 's/#general_log/general_log/g' /srv/mariadb/conf/my.cnf
fi

# Install service
cp etc/init.d/mariadb /etc/init.d/mariadb
rc-update -u
